unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
   Canvas.Brush.Color:=clYellow;
   Canvas.Pen.Color:=clGreen;
   //rysowanie trójkąta
   Canvas.Polyline([Point(20,20),Point(200,20),Point(110,100),Point(20,20)]);
   Canvas.Floodfill(100,25,clgreen,fsborder);  //procedura wypełnia obiekt narysowany
    //kolorem zielonym, wewnątrz którego znajduje się punkt o współrzędnych (100,25)

end;

//trójkąt przesuniety w dół o 120 pikseli
procedure TForm1.Button2Click(Sender: TObject);
begin
  Canvas.Brush.Color:=clYellow;
  Canvas.Pen.Color:=clGreen;
  Canvas.Polygon([Point(20,20+120),Point(200,20+120),Point(110,100+120)]);
end;

end.
